package com.loafle.overflow.central.commons.service;

import com.loafle.overflow.core.exception.OverflowException;

public interface MessagePublisher {
    void publishToDomainMembers(final long domainID, final String method, final Object... params) throws OverflowException;
    void publishToDomainMembersByProbeKey(final String probeKey, final String method, final Object... params) throws OverflowException;

    void publishToMember(final String memberID, final String method, final Object... params) throws OverflowException;
    void publishToMemberSession(final String memberSessionID, final String method, final Object... params) throws OverflowException;

    void publishToNoAuthProbe(final String tempProbeKey, final String method, final Object... params) throws OverflowException;
    void publishToProbe(final String probeKey, final String method, final Object... params) throws OverflowException;
}
