package com.loafle.overflow.central.module.meta.service;

import com.loafle.overflow.central.module.meta.dao.MetaInputTypeDAO;
import com.loafle.overflow.core.exception.OverflowException;
import com.loafle.overflow.model.meta.MetaInputType;
import com.loafle.overflow.service.central.meta.MetaInputTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@Service("MetaInputTypeService")
public class CentralMetaInputTypeService implements MetaInputTypeService {

    @Autowired
    private MetaInputTypeDAO inputTypeDAO;

    public List<MetaInputType> readAll() throws OverflowException {
        return this.inputTypeDAO.findAll();
    }
}
