package com.loafle.overflow.central.module.member.dao;

import com.loafle.overflow.model.member.Member;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

/**
 * Created by insanity on 17. 5. 25.
 */

@Repository
public interface MemberDAO extends JpaRepository<Member, Long> {
    @Query("select m from Member m WHERE m.email = :signinId")
    Member findByEmail(@Param("signinId") String signinId);
}
